import request from "@/utils/request";

// 查询测井数据_las文件列表
export function listCjsjLas(query) {
  return request({
    url: "/system/cjsjLas/list",
    method: "get",
    params: query,
  });
}

// 查询测井曲线
export function getCjqxData(query) {
  return request({
    url: "/system/cjsjLas/getCjqxData",
    method: "get",
    params: query,
  });
}
// 查询钻头优选测井曲线
export function getCjqxDataztyx(query) {
  return request({
    url: "/system/sjCjsjLas/getCjqxData",
    method: "get",
    params: query,
  });
}
// 查询测井曲线
export function getCjqxDatadcyx(query) {
  return request({
    url: "/system/sjCjsjLas/getCjqxData2",
    method: "get",
    params: query,
  });
}
// 查询录井曲线
export function getljqxData(query) {
  return request({
    url: "/system/ljSssjSd/getLjqxData",
    method: "get",
    params: query,
  });
}
// 查询测井数据_las文件详细
export function getCjsjLas(jh) {
  return request({
    url: "/system/cjsjLas/" + jh,
    method: "get",
  });
}

// 新增测井数据_las文件
export function addCjsjLas(data) {
  return request({
    url: "/system/cjsjLas",
    method: "post",
    data: data,
  });
}

// 修改测井数据_las文件
export function updateCjsjLas(data) {
  return request({
    url: "/system/cjsjLas",
    method: "put",
    data: data,
  });
}

export function updateCjsjBlqzfw(data) {
  return request({
    url: "/system/cjsjBlqzfw",
    method: "put",
    data: data,
  });
}

// 删除测井数据_las文件
export function delCjsjLas(jh) {
  return request({
    url: "/system/cjsjLas/" + jh,
    method: "delete",
  });
}

export function cjsjBlqzfw(jh) {
  return request({
    url: "/system/cjsjBlqzfw/" + jh,
    method: "get",
  });
}
export function ztTj(query) {
  return request({
    url: "/system/sjCjsjLas/getFdZttj",
    params: query,
  });
}
//匹配钻头
export function ppZtxx(query) {
  return request({
    url: "/system/ztxxJcxx/ppZtxx",
    params: query,
  });
}
export function ppZtxxx(query) {
  return request({
    url: "/system/ztxxJcxx/tjxq",
    params: query,
  });
}
// 查询
export function getZtxxck(id) {
  return request({
    url: "/system/ztxxJcxx/" + id,
    method: "get",
  });
}
